Results 1 to 5 of 5

Thread: Using Win XP in BT4?

  1. #1
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    3

    Default Using Win XP in BT4?

    have googled everywhere but can only find how to use windows VM to host BT4, what I am trying to do is use BT4 and virtual machine to host win XP for practice.. I know it is based on Ubuntu and found articles about non-compatiblity between the OS and virtual machine conflicts and that DKMS needs to be installed. (Thats the error I get when trying to run the .iso) when trying to install DKMS I get this error

    "Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.

    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    dkms: Depends: linux-headers but it is not installable
    E: Broken packages"

    Has anybody used BT4 as their main OS and then used Virtual box or Vbox for their Windows app needs? How did you get it to work, this is driving me crazy! lol (I think it has something to do with rebuilding the kernel?)

  2. #2
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: Using Win XP in BT4?

    Go to the official site of VirtualBox, download the .deb, install it then run it O_o
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  3. #3
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: Using Win XP in BT4?

    Is using the R1?

    Install VirtualBox quickly.

    Code:
    root@bt:~# wget -c http://download.virtualbox.org/virtualbox/3.2.8/Virtualbox-3.2.8-64453-Linux_x86.run
    Code:
    root@bt:~# chmod +x Virtualbox-3.2.8-64453-Linux_x86.run
    Code:
    root@bt:~# ./Virtualbox-3.2.8-64453-Linux_x86.run
    Enter yes when asked.

    Ready.

    Menu Dragon --> System --> Oracle VM VirtualBox - Virtual Machine

    Now just create the virtual machine and specify the iso.

    Regards,
    (gdb) disass m(y_br)ain

    ®

  4. #4
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    3

    Default Re: Using Win XP in BT4?

    I have tried several things, here is the error I am getting



    I have DKMS installed, I installed Virtualbox threw synaptic package manager, then uninstalled it then reinstalled it via command line and keep getting this same error. I have done a "apt-get install" and "apt-get update" still the same thing. Am I the first one to get this error? lol Thanks guys.

  5. #5
    Just burned his ISO jkenj999's Avatar
    Join Date
    Mar 2010
    Location
    somewhere in the cosmos
    Posts
    14

    Unhappy

    I am having the same problem. I switched to vmware server just for a quick solution but I am still on it.
    I think that it cannot load the virtualboxose thing, and cannot find the linux-headers ...
    Anyway, still on it.

    Actually, how dumb really I am. It works with the given virtual*.run (as said in the post before, it will build the needed packages like the "*os"), but you have to uninstall (complete) you present virtualbox before running the script, if not it will not work correctly.
    N.B: I used the "add/remove" utilities to uninstall.
    Hope it will be helpful.
    Immagini allegate Immagini allegate
    Last edited by lupin; 10-14-2010 at 06:35 AM. Reason: Mergy mergy

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •